%define major      0
%define api        0.0
%define libname    %mklibname %{name} %{major}
%define girname    %mklibname %{name}-gir %{api}
%define libnamedev %mklibname %{name} -d

Summary:       OpenType text shaping engine
Name:          harfbuzz
Version:       2.7.4
Release:       %mkrel 1
License:       Old MIT
Group:         Development/Other
URL:           http://harfbuzz.github.io/
Source:        https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(cairo) >= 1.8.0
BuildRequires: pkgconfig(cairo-ft)
BuildRequires: pkgconfig(freetype2) >= 2.3.8
BuildRequires: pkgconfig(glib-2.0) >= 2.16
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(graphite2)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: gtk-doc
BuildRequires: meson

%description
HarfBuzz is an OpenType text shaping engine.
There are two HarfBuzz code trees in existence today.

%package -n %{libname}
Summary:       Libraries for the %{name} package
Group:         Development/Other

%description -n %{libname}
Libraries for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for HarfBuzz
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for HarfBuzz.

%package -n %{libnamedev}
Summary:       Headers and development libraries from %{name}
Group:         Development/Other
Requires:      %{libname} = %{version}-%{release}
Requires:      %{girname} = %{version}-%{release}
Provides:      lib%{name}-devel = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name} development headers and libraries.

%prep
%setup -q
%autopatch -p1

%build
%meson -Dgobject=enabled -Dgraphite=enabled -Dintrospection=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%{_bindir}/*

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{girname}
%doc AUTHORS README
%{_libdir}/girepository-1.0/HarfBuzz-%{api}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/cmake/harfbuzz/
%{_includedir}/*
%{_datadir}/gir-1.0/HarfBuzz-%{api}.gir


%changelog
* Mon Dec 28 2020 daviddavid <daviddavid> 2.7.4-1.mga8
+ Revision: 1664435
- new version: 2.7.4

* Thu Dec 24 2020 daviddavid <daviddavid> 2.7.3-1.mga8
+ Revision: 1663382
- new version: 2.7.3
- switch to meson build system

* Mon Nov 30 2020 luigiwalser <luigiwalser> 2.7.2-2.mga8
+ Revision: 1650887
- rebuild for icu

* Wed Sep 02 2020 daviddavid <daviddavid> 2.7.2-1.mga8
+ Revision: 1621132
- new version: 2.7.2

* Wed Aug 19 2020 daviddavid <daviddavid> 2.7.1-1.mga8
+ Revision: 1615721
- new version: 2.7.1

* Wed Jul 01 2020 wally <wally> 2.6.8-2.mga8
+ Revision: 1601026
- rebuild for icu 67.1

* Tue Jun 23 2020 daviddavid <daviddavid> 2.6.8-1.mga8
+ Revision: 1598641
- new version: 2.6.8

* Wed Jun 03 2020 daviddavid <daviddavid> 2.6.7-1.mga8
+ Revision: 1590123
- new version: 2.6.7

* Tue May 12 2020 daviddavid <daviddavid> 2.6.6-1.mga8
+ Revision: 1583373
- new version: 2.6.6

* Sat Apr 04 2020 wally <wally> 2.6.4-3.mga8
+ Revision: 1564462
- rebuild for new icu 66.1

* Mon Feb 17 2020 umeabot <umeabot> 2.6.4-2.mga8
+ Revision: 1537529
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ tv <tv>
- package NEWS

* Mon Nov 04 2019 daviddavid <daviddavid> 2.6.4-1.mga8
+ Revision: 1457505
- new version: 2.6.4

* Sat Oct 05 2019 daviddavid <daviddavid> 2.6.2-2.mga8
+ Revision: 1449440
- rebuild for new icu 65.1

* Wed Oct 02 2019 daviddavid <daviddavid> 2.6.2-1.mga8
+ Revision: 1448746
- new version: 2.6.2

* Wed Sep 18 2019 daviddavid <daviddavid> 2.6.1-2.mga8
+ Revision: 1443622
- enable gobject and introspection support

* Fri Aug 23 2019 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1431413
- new version: 2.6.1

* Mon Aug 19 2019 daviddavid <daviddavid> 2.6.0-1.mga8
+ Revision: 1429915
- new version: 2.6.0

* Sun Jun 30 2019 daviddavid <daviddavid> 2.5.3-1.mga8
+ Revision: 1416267
- new version: 2.5.3

* Sat Apr 13 2019 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1389790
- new version: 2.4.0

* Sat Feb 02 2019 luigiwalser <luigiwalser> 2.3.1-1.mga7
+ Revision: 1362680
- 2.3.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.3.0-1.mga7
+ Revision: 1346451
- 2.3.0

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.1.3-2.mga7
+ Revision: 1346095
- rebuild for icu

* Sun Nov 18 2018 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1330718
- new version: 2.1.3

* Mon Nov 05 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1328575
- new version: 2.1.0

* Thu Nov 01 2018 daviddavid <daviddavid> 2.0.2-1.mga7
+ Revision: 1327104
- new version: 2.0.2

* Sat Oct 20 2018 daviddavid <daviddavid> 2.0.1-1.mga7
+ Revision: 1322883
- new version: 2.0.1

* Fri Oct 19 2018 tv <tv> 2.0.0-1.mga7
+ Revision: 1322600
- new release

* Thu Sep 20 2018 daviddavid <daviddavid> 1.9.0-1.mga7
+ Revision: 1280475
- new version: 1.9.0

* Mon Aug 20 2018 tv <tv> 1.8.8-2.mga7
+ Revision: 1252948
- rebuild for new libicu

* Wed Aug 15 2018 daviddavid <daviddavid> 1.8.8-1.mga7
+ Revision: 1251707
- new version: 1.8.8

* Thu Aug 02 2018 daviddavid <daviddavid> 1.8.5-1.mga7
+ Revision: 1246895
- new version: 1.8.5

* Wed Jul 18 2018 daviddavid <daviddavid> 1.8.4-1.mga7
+ Revision: 1244197
- new version: 1.8.4

* Sat Jul 14 2018 daviddavid <daviddavid> 1.8.3-1.mga7
+ Revision: 1243677
- new version: 1.8.3

* Fri Jun 15 2018 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1237029
- new version: 1.8.1

* Thu Jun 07 2018 tv <tv> 1.8.0-1.mga7
+ Revision: 1235120
- new release

* Fri Dec 29 2017 cjw <cjw> 1.7.4-1.mga7
+ Revision: 1187180
- 1.7.4

* Fri Dec 29 2017 wally <wally> 1.4.6-2.mga7
+ Revision: 1186975
- rebuild for new icu

* Mon Jul 17 2017 cjw <cjw> 1.4.6-1.mga7
+ Revision: 1124525
- 1.4.6

* Fri Mar 17 2017 mrambo3501 <mrambo3501> 1.3.2-5.mga6
+ Revision: 1093299
- remove BR for icu-le that is no longer provided by icu58
+ tv <tv>
- readd "uneeded" BR that do are needed

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 1.3.2-3.mga6
+ Revision: 1093201
- remove two unneeded BuildRequires for icu
- Rebuild for icu-58.2

* Wed Oct 26 2016 luigiwalser <luigiwalser> 1.3.2-1.mga6
+ Revision: 1063532
- 1.3.2

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.3.1-1.mga6
+ Revision: 1051248
- 1.3.1

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.3.0-1.mga6
+ Revision: 1045491
- 1.3.0

* Fri May 13 2016 shlomif <shlomif> 1.2.7-2.mga6
+ Revision: 1015046
- Rebuild due to the new ICU

* Fri May 06 2016 luigiwalser <luigiwalser> 1.2.7-1.mga6
+ Revision: 1009941
- 1.2.7

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.1.3-1.mga6
+ Revision: 927149
- 1.1.3

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.1.2-2.mga6
+ Revision: 917848
- rebuild for icu

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.1.2-1.mga6
+ Revision: 917451
- 1.1.2

* Mon Nov 23 2015 tv <tv> 1.1.0-1.mga6
+ Revision: 905102
- new release

* Fri Oct 09 2015 ovitters <ovitters> 1.0.4-1.mga6
+ Revision: 888517
- new version 1.0.4

* Fri Jul 24 2015 cjw <cjw> 0.9.41-2.mga6
+ Revision: 856743
- rebuild for icu 55

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.9.41-1.mga6
+ Revision: 837162
- 0.9.41

* Tue Jan 27 2015 luigiwalser <luigiwalser> 0.9.36-1.mga5
+ Revision: 812511
- 0.9.36

* Wed Oct 15 2014 umeabot <umeabot> 0.9.35-3.mga5
+ Revision: 745190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.35-2.mga5
+ Revision: 680083
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 luigiwalser <luigiwalser> 0.9.35-1.mga5
+ Revision: 664497
- 0.9.35

* Fri Aug 15 2014 luigiwalser <luigiwalser> 0.9.34-1.mga5
+ Revision: 662888
- 0.9.34

* Thu Jul 31 2014 luigiwalser <luigiwalser> 0.9.33-1.mga5
+ Revision: 658812
- 0.9.33

* Thu Jul 24 2014 luigiwalser <luigiwalser> 0.9.32-1.mga5
+ Revision: 656377
- 0.9.32

* Fri Jul 18 2014 luigiwalser <luigiwalser> 0.9.30-1.mga5
+ Revision: 653540
- 0.9.30

* Thu Jun 05 2014 luigiwalser <luigiwalser> 0.9.29-1.mga5
+ Revision: 633284
- 0.9.29

* Fri May 09 2014 luigiwalser <luigiwalser> 0.9.28-1.mga5
+ Revision: 621585
- 0.9.28

* Sat Apr 05 2014 wally <wally> 0.9.27-2.mga5
+ Revision: 611796
- rebuild for new icu

* Sat Mar 22 2014 luigiwalser <luigiwalser> 0.9.27-1.mga5
+ Revision: 606609
- 0.9.27

* Thu Feb 06 2014 tv <tv> 0.9.26-1.mga5
+ Revision: 584694
- new release

* Mon Oct 21 2013 umeabot <umeabot> 0.9.22-2.mga4
+ Revision: 540532
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 0.9.22-1.mga4
+ Revision: 493816
- 0.9.22

* Thu Sep 26 2013 fwang <fwang> 0.9.21-3.mga4
+ Revision: 486774
- rebuild for icu 52

* Sun Sep 22 2013 fwang <fwang> 0.9.21-2.mga4
+ Revision: 483284
- build gir

* Sun Sep 22 2013 fwang <fwang> 0.9.21-1.mga4
+ Revision: 483279
- new version 0.9.21
+ luigiwalser <luigiwalser>
- 0.9.20
- devel package now includes API documentation (BR gtk-doc)

* Sun Jul 21 2013 luigiwalser <luigiwalser> 0.9.19-1.mga4
+ Revision: 456698
- 0.9.19

* Mon Jun 24 2013 tv <tv> 0.9.18-2.mga4
+ Revision: 446232
- enable graphite2 support

* Mon Jun 24 2013 fwang <fwang> 0.9.18-1.mga4
+ Revision: 446105
- new version 0.9.18

* Sun May 26 2013 fwang <fwang> 0.9.17-2.mga4
+ Revision: 427918
- rebuild for new icu

* Sat May 25 2013 tv <tv> 0.9.17-1.mga4
+ Revision: 427329
- new release

* Thu Jan 31 2013 luigiwalser <luigiwalser> 0.9.10-3.mga3
+ Revision: 393747
- add make check

* Sat Jan 12 2013 umeabot <umeabot> 0.9.10-2.mga3
+ Revision: 353113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 0.9.10-1.mga3
+ Revision: 338952
- 0.9.10

* Fri Dec 07 2012 fwang <fwang> 0.9.9-1.mga3
+ Revision: 327903
- new verrsion 0.9.9

* Tue Nov 20 2012 fwang <fwang> 0.9.6-1.mga3
+ Revision: 319693
- drop merged patch
- new version 0.9.6

* Fri Nov 16 2012 fwang <fwang> 0.9.5-2.mga3
+ Revision: 318593
- rebuild for new icu

* Fri Nov 09 2012 fwang <fwang> 0.9.5-1.mga3
+ Revision: 316691
- add upstream patch to use ICU LayoutEngine C API
- more linkage
- apply patches
- fix linkage
- new version 0.9.5

* Fri Sep 14 2012 trem <trem> 0.9.4-1.mga3
+ Revision: 293969
- add some buildrequires (glib2-devel,cairo-devel,icu-devel,freetype-devel)
- imported package harfbuzz

